2. Installation

pip install pytablewriter

Some of the formats require additional packages, you can download the packages as follows:

  • Elasticsearch
    • pip install pytablewriter[es6] or pip install pytablewriter[es5]
  • Excel
    • pip install pytablewriter[excel]
  • SQLite
    • pip install pytablewriter[sqlite]
  • TOML
    • pip install pytablewriter[toml]

3. Dependencies

Python 2.7+ or 3.4+

3.1. Optional dependencies

3.2. Test dependencies